
Redmine - Defect #1704

Many hyphen marks kills the Redmine

2008-07-29 10:13 - Antti Perkiömäki

Status: Closed Start date: 2008-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

We found out funky little error when you insert many hyphen marks into issue text box in certain format. This will crash the whole

redmine process so that the server doesn't respond, database load increases quite a bit too. This was tested on revision 1666 and

earlier releases.

The format is like: hyphen space hyphen space hyphen space hyphen ... etc.

For example this type of formating can be used in email signatures.

Associated revisions

Revision 1710 - 2008-07-30 20:28 - Jean-Philippe Lang

Fixed: RedCloth#block_markdown_rule freezes when parsing many hyphen marks (#1704).

History

#1 - 2008-07-30 20:05 - Jean-Philippe Lang

Confirmed. I'm on it.

#2 - 2008-07-30 20:26 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Resolved

- Target version set to 0.8

- Affected version (unused) set to devel

- Resolution set to Fixed

r1710 should fix it. Please confirm.

#3 - 2008-08-08 10:41 - Antti Perkiömäki

Tested with r1715 and no more crashing, thank you.

#4 - 2008-08-08 11:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback
